The following commit has been merged in the ubuntu/lucid branch:
commit b9778c893763b2592756a20b4aa8f0d8c138693b
Merge: 5c4c653fd83d21bb64ef3566c01fd3be33fc6081 
3d9be41a3314308b451a759b7e57d55fc4d90ce8
Author: Jerome Villeneuve Larouche <jlarou...@mapgears.com>
Date:   Thu Nov 15 20:06:05 2012 +0000

    Merge branch 'master' into ubuntu/lucid

diff --combined debian/changelog
index 9ac1cd8,06fdabb..c4faddf
--- a/debian/changelog
+++ b/debian/changelog
@@@ -1,9 -1,3 +1,16 @@@
++mapserver (6.2.0-2~lucid2) lucid; urgency=low
++
++  * Launchpad build for Lucid
++  * Added libmapserver-dev
++
++ -- Jerome Villeneuve Larouche <jlarou...@mapgears.com>  Thu, 15 Nov 2012 
20:06:17 +0000
++
 +mapserver (6.2.0-2~lucid1) lucid; urgency=low
 +
 +  * Launchpad build for Lucid
 +
 + -- Jerome Villeneuve Larouche <jlarou...@mapgears.com>  Thu, 15 Nov 2012 
14:49:21 +0000
 +
  mapserver (6.2.0-1) unstable; urgency=low
  
    * New upstream release
diff --combined debian/control
index 6295f20,ef1aae1..afb8344
--- a/debian/control
+++ b/debian/control
@@@ -6,7 -6,7 +6,7 @@@ Uploaders: Francesco Paolo Lovergine <f
  Standards-Version: 3.9.3
  Build-Depends: debhelper (>= 8), libcurl4-gnutls-dev, libpng-dev, zlib1g-dev 
(>= 1.1.4),
   libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg-dev, 
libgdal1-dev (>=1.9.0), libproj-dev,
 - libpq-dev, php5-dev, swig, python-all (>= 2.6.6-3~), python-all-dev (>= 
2.6.6-3~), libgeos-dev (>= 3.2.1-1~),
 + libpq-dev, php5-dev, swig, python-all (>= 2.6), python-all-dev (>= 2.6), 
libgeos-dev (>= 3.2.1-1~),
   ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev,
   sharutils, libsdl1.2-dev, libfreetype6-dev, chrpath,
   libfcgi-dev, libxml2-dev, libogdi3.2-dev, libxslt1-dev, libpam0g-dev, 
libreadline-dev, 
@@@ -29,6 -29,19 +29,19 @@@ Description: Shared library for MapServ
   functionality in MapScript is provided by the suggested mapscript
   library packages.
  
+ Package: libmapserver-dev
+ Section: libdevel
+ Architecture: any
+ Depends: ${shlibs:Depends}, ${misc:Depends}
+ Suggests: cgi-mapserver, mapserver-bin, mapserver-doc
+ Description: Shared library for MapServer
+  This package contains the shared library.
+  .
+  MapServer is a CGI-based framework for Internet map services which
+  supports Open Geospatial Consortium (OGC) standards. Scripting
+  functionality in MapScript is provided by the suggested mapscript
+  library packages.
+ 
  Package: php5-mapscript
  Section: php
  Architecture: any
diff --combined debian/rules
index 9b886d2,28f3b70..535f4c0
--- a/debian/rules
+++ b/debian/rules
@@@ -185,6 -185,8 +185,8 @@@ install-arch-stamp: build-arc
  
        #echo 'misc:Depends=libapache2-mod-php5' >> 
debian/php5-mapscript.substvars
  
+       -mkdir -p debian/tmp/usr/include/
+ 
        touch install-arch-stamp
  
  binary-indep: install-indep
@@@ -212,7 -214,7 +214,7 @@@ binary-arch: install-arc
        dh_installexamples -a
        chmod a-x 
debian/php*-mapscript/usr/share/doc/php*-mapscript/examples/*.phtml
        dh_installdebconf -a
 -      dh_python2 -ppython-mapscript
 +      dh_python -ppython-mapscript
        dh_compress -a
        dh_link -a
        # Overrides a mismatched error from lintian

-- 
Mapserver

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to